from flask import request, Response
from initialdemo.NodeInfo import NodeInfo
import pickle as json

import io
from flask import request, Response
from matplotlib.backends.backend_agg import FigureCanvasAgg as FigureCanvas

from visualization.multilayer import *
from core import multinet

def get():
    ## multilayer
    multilayer_network = multinet.multi_layer_network().load_network("/home/zarah/Downloads/multigraph2.gpickle", directed=False, input_type="gpickle_biomine")
    multilayer_network.basic_stats() ## check core imports
    multilayer_network.visualize_network(style="diagonal")

    import visualization.multilayer as m
    fig = m.main_figure

    output = io.BytesIO()
    FigureCanvas(fig).print_png(output)
    return Response(output.getvalue(), mimetype="image/png")